ON1 Photo 10 Plug-ins not appearing in Photoshop CS3, CS4, or CS5

ON1 Photo 10 requires CS6 or higher to be used as a plugin for Photoshop. Luckily though, ON1 Photo 10 will work entirely as a stand alone application and does not require Photoshop in any way to use its functions. You will still be able to use your images from Photoshop into ON1 Photo 10 and vice versa, with all the layers intact for further editing. 

Was this article helpful?
1 out of 3 found this helpful
Have more questions? Contact Us
Powered by Zendesk